import { UmbLitElement } from '../../lit-element/index.js';
import type { ManifestHeaderAppButtonKind } from '../../extension-registry/index.js';
export declare class UmbHeaderAppButtonElement extends UmbLitElement {
    manifest?: ManifestHeaderAppButtonKind;
    render(): import("lit-html").TemplateResult<1>;
    static readonly styles: import("lit").CSSResult[];
}
export default UmbHeaderAppButtonElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-header-app-button': UmbHeaderAppButtonElement;
    }
}
